vpx_rc_encodeframe_decision Struct Reference

Encode frame decision made by the external rate control model. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

int | q_index
int | rdmult
int | delta_q_uv
sb_params * | sb_params_list

## Detailed Description

Encode frame decision made by the external rate control model.

The encoder will receive the decision from the external rate control model through vpx_rc_funcs_t::get_encodeframe_decision().

## Field Documentation

## q_index

int vpx_rc_encodeframe_decision::q_index

Required: Quantizer step index [0..255]

## rdmult

int vpx_rc_encodeframe_decision::rdmult

Required: Frame level Lagrangian multiplier

## delta_q_uv

int vpx_rc_encodeframe_decision::delta_q_uv

Required: Delta QP for UV

## sb_params_list

sb_params* vpx_rc_encodeframe_decision::sb_params_list

Optional: Superblock quantization parameters It is zero initialized by default. It will be set for key and ARF frames but not leaf frames.

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h